using System;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.Windows.Forms;

namespace TaxProGSTApiWinFormsDemo
{
    public partial class MDIParent1 : Form
    {
        private int childFormNumber = 0;

        public MDIParent1()
        {
            InitializeComponent();
        }
        protected override void ScaleControl(System.Drawing.SizeF factor, BoundsSpecified specified)
        {
            base.ScaleControl(factor, specified);
        }
        private void aSPRegistrationAndAPISettingToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmAPISetting frmApiSetting = new frmAPISetting();
            frmApiSetting.MdiParent = this;
            frmApiSetting.Show();
        }

        private void authenticationTokenToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmAuthToken frmAuth = new frmAuthToken();
            frmAuth.MdiParent = this;
            frmAuth.Show();
        }

        private void setAndGetPreferenceToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmPreference frmPref = new frmPreference();
            frmPref.MdiParent = this;
            frmPref.Show();
        }

        private void gSTR1APIToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmGSTR1Api frmGstr1Api = new frmGSTR1Api();
            frmGstr1Api.MdiParent = this;
            frmGstr1Api.Show();
        }

        private void gSTR2AAPIToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmGSTR2AApi frmGstr2aApi = new frmGSTR2AApi();
            frmGstr2aApi.MdiParent = this;
            frmGstr2aApi.Show();
        }

        private void MDIParent1_Load(object sender, EventArgs e)
        {
            
        }
      
        private void gSTR2BAPIToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmGSTR2BApi frmGstr2bApi = new frmGSTR2BApi();
            frmGstr2bApi.MdiParent = this;
            frmGstr2bApi.Show();
        }

        private void gSTR3BAPIToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmGSTR3BApi frmGstr3bApi = new frmGSTR3BApi();
            frmGstr3bApi.MdiParent = this;
            frmGstr3bApi.Show();
        }

        private void publicAPIToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmPublicAPI frmPubApi = new frmPublicAPI();
            frmPubApi.MdiParent = this;
            frmPubApi.Show();
        }

        private void taxProGSPHelpToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Process.Start("https://gsthelp.charteredinfo.com");
        }

        private void ledgerAPIToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmLedgerAPI frmLedger = new frmLedgerAPI();
            frmLedger.MdiParent = this;
            frmLedger.Show();
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void label2_Click(object sender, EventArgs e)
        {

        }

        private void largeFileDownloadToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmLargeFileDownloadAPI frmLargeFile = new frmLargeFileDownloadAPI();
            frmLargeFile.MdiParent = this;
            frmLargeFile.Show();
        }

        private void findHSNAndSACDetailsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmHsnSacFinder frmHsn = new frmHsnSacFinder();
            frmHsn.MdiParent = this;
            frmHsn.Show();
        }

        private void taxPayerEInvoiceAPIToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmEinvoiceAPI frmEInvApi = new frmEinvoiceAPI();
            frmEInvApi.MdiParent = this;
            frmEInvApi.Show();
        }

        private void gSTR1AAPINewOnlyInSandboxToolStripMenuItem_Click(object sender, EventArgs e)
        {
            frmGSTR1AApi frmGstr1AApi = new frmGSTR1AApi();
            frmGstr1AApi.MdiParent = this;
            frmGstr1AApi.Show();
        }
    }
}
